Last Comment Bug 878216 - Cope with in app payments that can't be processed
: Cope with in app payments that can't be processed
Status: VERIFIED FIXED
:
Product: Marketplace
Classification: Server Software
Component: Payments/Refunds (show other bugs)
: 1.0
: x86 Mac OS X
: P1 normal (vote)
: 2013-06-20
Assigned To: Wraithan (Chris McDonald) [:wraithan]
:
Mentors:
Depends on:
Blocks: 868179
  Show dependency treegraph
 
Reported: 2013-05-31 13:28 PDT by Andy McKay [:andym]
Modified: 2013-06-20 08:03 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Andy McKay [:andym] 2013-05-31 13:28:28 PDT
Cope with a missing price tier. In bug 868179 the price tiers are limited by country. For example tier 140 might not be available in Canada. In that case the in-app can't be bought.

When someone hits webpay with this price tier, we should fail gracefully and return a nice error.
Comment 1 Kumar McMillan [:kumar] (needinfo all the things) 2013-06-04 10:55:14 PDT
this is probably related to how webpay consumes the prices API http://firefox-marketplace-api.readthedocs.org/en/latest/topics/payment.html#get--api-v1-webpay-prices-
Comment 2 Wraithan (Chris McDonald) [:wraithan] 2013-06-19 10:53:27 PDT
https://github.com/mozilla/webpay/commit/002045af47884f970be5f66fe4ede9acc3984e89

Error message added.
Comment 3 Victor Carciu 2013-06-20 07:22:02 PDT
Andy can you please add some specific STRs? Can we verify this using In-app Payment tester? I tried with this app and for pricepoint 140 I received "Unknown pricepoint message". Is this ok?
Comment 4 Wraithan (Chris McDonald) [:wraithan] 2013-06-20 07:31:19 PDT
That is what I added, sorry for not adding STR.
Comment 5 Victor Carciu 2013-06-20 08:03:30 PDT
Thank you: marking it as verified then

Note You need to log in before you can comment on or make changes to this bug.